Bug 126202 (IT_51360) - mdadm -As not being set on boot.
Summary: mdadm -As not being set on boot.
Status: CLOSED WONTFIX
Alias: IT_51360
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-17 14:23 UTC by Brett Simpson
Modified: 2014-03-17 02:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 15:33:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brett Simpson 2004-06-17 14:23:34 UTC
Description of problem:
On bootup the raid portion of the /etc/rc.d/rc.sysinit doesn't
initialize any mdadm created arrays from /etc/mdadm.conf.
Although raidtools can do this, via a raidtab entry, I am unable to
get it to automatically failback when using multipath. I need to have
the auto failback functionality without having to manually failback
the paths.
For now I have added the following in my /etc/rc.d/rc.sysinit to make
mdadm work on boot.

update_boot_stage RCraid

if [ -f /etc/mdadm.conf ]
then
/sbin/mdadm -As
fi

if [ -f /etc/raidtab ]; then

Any chance on adding something similar to the initscripts package?

Thanks
Brett

Comment 1 Bastien Nocera 2004-10-08 15:33:11 UTC
There is no proper mdadm support in RHEL3. There are plans to have
mdadm support implemented in the next release.


Note You need to log in before you can comment on or make changes to this bug.